import 'reflect-metadata'
import {Service} from "typedi"
import {IUser} from "../types"
import {db} from "../includes"

@Service()
export class UserModel {
    async insertUser(user: IUser) {
        await db.query('insert into users (username,realName,role) values(?,?,?) ' +
            'ON DUPLICATE KEY UPDATE username=username', [
            user.username, user.realName, user.role
        ])
    }

    async findUserByUsername(username: string) {
        let user = await db.query('select * from users where username=?', [username])
        if (!user.length) {
            return null
        }
        return <IUser>{
            id: user[0].id,
            username: user[0].username,
            realName: user[0].realName,
            role: user[0].role
        }
    }
}
